## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		qat-zstd-plugin
Version:	0.2.0
Release:	%autorelease
Summary:	Intel QuickAssist Technology ZSTD Plugin

License:	BSD-3-Clause
URL:		https://github.com/intel/QAT-ZSTD-Plugin
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:		lib-version.patch
Patch1:		test.patch

BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	libzstd-devel
BuildRequires:	qatlib-devel

# Upstream only supports x86_64
ExclusiveArch:	x86_64

%description
Intel QuickAssist Technology ZSTD is a plugin to Zstandard for accelerating
compression by QAT. ZSTD* is a fast lossless compression algorithm, targeting
real-time compression scenarios at zlib-level and better compression ratios.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
applications that use %{name}.

%package static
Summary:	Static library for %{name}
Requires:	%{name}-devel%{?_isa} = %{version}-%{release}

%description static
The %{name}-static package contains the static %{name} library.

%prep
%autosetup -p1 -n QAT-ZSTD-Plugin-%{version}

# fedora/rhel path fixes
sed -i -e 's|/usr/local|%{_prefix}|g' src/Makefile
sed -i -e 's|$(PREFIX)/lib|%{_libdir}|g' src/Makefile
sed -i -e 's|$(PREFIX)/include|%{_includedir}|g' src/Makefile

%build
%make_build LDFLAGS="$LDFLAGS -lzstd"
make test

%install
%make_install

%check
LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./test/test README.md

%files
%license LICENSE
%{_libdir}/libqatseqprod.so.0
%{_libdir}/libqatseqprod.so.%{version}

%files devel
%{_includedir}/qatseqprod.h
%{_libdir}/libqatseqprod.so

%files static
%license LICENSE
%{_libdir}/libqatseqprod.a

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Oct 09 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 0.2.0-2
- packing improvements

* Thu Sep 05 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 0.2.0-1
- Update to 0.2.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 0.1.0-1
- 1st release
## END: Generated by rpmautospec
